Skip to main content
POST
/
sdk
/
v1
/
runs
/
{runID}
/
spawn
Spawn a child run
curl --request POST \
  --url https://api.strait.dev/sdk/v1/runs/{runID}/spawn \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_slug": "<string>",
  "project_id": "<string>",
  "await_completion": true,
  "await_timeout_secs": 123,
  "payload": "<unknown>",
  "target_api_key": "<string>"
}
'
{
  "$schema": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

runID
string
required

Body

application/json
job_slug
string
required
project_id
string
required
await_completion
boolean
await_timeout_secs
integer<int64>
payload
any
target_api_key
string

Response

OK